Genealogy
Read company move request
Read the current request receipt with its effective expiry. Requires members.view or the legacy users.view permission. The example uses illustrative fixture IDs. Substitute records visible to your authenticated company or member.
GET
/
api
/
company
/
v2026-10
/
genealogy
/
move-requests
/
{id}
Read company move request
curl -X GET 'https://api.fluid.app/api/company/v2026-10/genealogy/move-requests/01a08944-f641-783c-9d9c-918a6fe65565' \
-H 'Authorization: Bearer <company-token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/genealogy/move-requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/genealogy/move-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"move_request": {
"id": "01a08944-f641-783c-9d9c-918a6fe65565",
"created_at": "2026-09-10T03:03:13.217320Z",
"decided_at": null,
"decided_by_id": null,
"decided_by_type": null,
"decision_reason": null,
"expires_at": "2026-09-17T03:03:13.206122Z",
"leg": null,
"node_id": "01a08944-f636-74d7-b342-68712a8cfcfc",
"parent_node_id": "01a08944-f63a-7afc-beb0-6241d6a9b4b6",
"placement_id": null,
"reason": null,
"requested_by_id": "c0dd6812-0ba6-56d2-879c-a36112f813c2",
"requested_by_type": "Company::Member",
"status": "pending",
"tree_id": "7096ad49-7117-53f6-8f7f-4805473d14c5"
},
"status": 200,
"meta": {
"request_uuid": null,
"timestamp": "2026-09-10T03:03:13Z"
}
}{
"message": "<string>",
"error": "<unknown>"
}{
"message": "<string>",
"error": "<unknown>"
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Company admin or company service token, subject to developer permissions.
Path Parameters
Move request UUID.
⌘I
Read company move request
curl -X GET 'https://api.fluid.app/api/company/v2026-10/genealogy/move-requests/01a08944-f641-783c-9d9c-918a6fe65565' \
-H 'Authorization: Bearer <company-token>'import requests
url = "https://api.fluid.app/api/company/v2026-10/genealogy/move-requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/v2026-10/genealogy/move-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"move_request": {
"id": "01a08944-f641-783c-9d9c-918a6fe65565",
"created_at": "2026-09-10T03:03:13.217320Z",
"decided_at": null,
"decided_by_id": null,
"decided_by_type": null,
"decision_reason": null,
"expires_at": "2026-09-17T03:03:13.206122Z",
"leg": null,
"node_id": "01a08944-f636-74d7-b342-68712a8cfcfc",
"parent_node_id": "01a08944-f63a-7afc-beb0-6241d6a9b4b6",
"placement_id": null,
"reason": null,
"requested_by_id": "c0dd6812-0ba6-56d2-879c-a36112f813c2",
"requested_by_type": "Company::Member",
"status": "pending",
"tree_id": "7096ad49-7117-53f6-8f7f-4805473d14c5"
},
"status": 200,
"meta": {
"request_uuid": null,
"timestamp": "2026-09-10T03:03:13Z"
}
}{
"message": "<string>",
"error": "<unknown>"
}{
"message": "<string>",
"error": "<unknown>"
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"status": 123,
"error": {
"message": "<string>",
"details": {}
},
"meta": {
"request_uuid": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}